Bug 147122 - [PATCH] net/relayd: update to 4.6.20090813, take maintainership
Summary: [PATCH] net/relayd: update to 4.6.20090813, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Matuska
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-27 10:40 UTC by Martin Matuska
Modified: 2010-05-30 08:36 UTC (History)
1 user (show)

See Also:


Attachments
relayd-4.6.20090813.patch (50.55 KB, patch)
2010-05-27 10:40 UTC, Martin Matuska
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Matuska freebsd_committer 2010-05-27 10:40:03 UTC
- Update to 4.6.20090813
- Take maintainership
- Backport several fixes from OpenBSD 4.7 and CURRENT

Added file(s):
- files/patch-freebsd-relayctl
- files/patch-freebsd-relayd
- files/patch-relayctl-parser.c
- files/patch-relayctl-relayctl.c
- files/patch-relayd-check_icmp.c
- files/patch-relayd-check_tcp.c
- files/patch-relayd-control.c
- files/patch-relayd-relay.c
- files/patch-relayd-relayd.c
- files/pkg-install.in

Removed file(s):
- pkg-install
- files/patch-ctl-Makefile
- files/patch-ctl-parser.c
- files/patch-ctl-parser.h
- files/patch-ctl-relayctl.c
- files/patch-d-Makefile
- files/patch-d-carp.c
- files/patch-d-check_icmp.c
- files/patch-d-check_tcp.c
- files/patch-d-log.c
- files/patch-d-parse.y
- files/patch-d-pfe.c
- files/patch-d-pfe_filter.c
- files/patch-d-relay.c
- files/patch-d-relay_udp.c
- files/patch-d-relayd.8
- files/patch-d-relayd.c
- files/patch-d-relayd.conf.5
- files/patch-d-relayd.h

Port maintainer (kuriyama@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-05-27 10:40:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-05-28 13:00:00 UTC
mm          2010-05-28 11:59:50 UTC

  FreeBSD ports repository

  Modified files:
    net/relayd           Makefile distinfo pkg-descr 
    net/relayd/files     relayd.in 
  Added files:
    net/relayd/files     Makefile.all Makefile.relayctl 
                         Makefile.relayd arc4random.c 
                         patch-freebsd-relayctl 
                         patch-freebsd-relayd 
                         patch-relayctl-parser.c 
                         patch-relayctl-relayctl.c 
                         patch-relayd-check_icmp.c 
                         patch-relayd-check_tcp.c 
                         patch-relayd-control.c 
                         patch-relayd-relay.c 
                         patch-relayd-relayd.c pkg-install.in 
  Removed files:
    net/relayd           pkg-install 
    net/relayd/files     patch-ctl-Makefile patch-ctl-parser.c 
                         patch-ctl-parser.h patch-ctl-relayctl.c 
                         patch-d-Makefile patch-d-carp.c 
                         patch-d-check_icmp.c patch-d-check_tcp.c 
                         patch-d-log.c patch-d-parse.y 
                         patch-d-pfe.c patch-d-pfe_filter.c 
                         patch-d-relay.c patch-d-relay_udp.c 
                         patch-d-relayd.8 patch-d-relayd.c 
                         patch-d-relayd.conf.5 patch-d-relayd.h 
  Log:
  - Update to 4.6.20090813
  - Backport several patches from OpenBSD 4.7 and newer
  - Fix build with FreeBSD 7 (arc4random.c)
  - Fix user and group creation in pkginstall
  - Add reload command to startup file
  - Enable optional static build with libevent
  - Take maintainership
  
  PR:             ports/147122
  Approved by:    kuriyama (private e-mail)
  
  Revision  Changes    Path
  1.6       +31 -23    ports/net/relayd/Makefile
  1.2       +3 -3      ports/net/relayd/distinfo
  1.1       +5 -0      ports/net/relayd/files/Makefile.all (new)
  1.1       +21 -0     ports/net/relayd/files/Makefile.relayctl (new)
  1.1       +38 -0     ports/net/relayd/files/Makefile.relayd (new)
  1.1       +72 -0     ports/net/relayd/files/arc4random.c (new)
  1.2       +0 -20     ports/net/relayd/files/patch-ctl-Makefile (dead)
  1.2       +0 -21     ports/net/relayd/files/patch-ctl-parser.c (dead)
  1.2       +0 -8      ports/net/relayd/files/patch-ctl-parser.h (dead)
  1.3       +0 -28     ports/net/relayd/files/patch-ctl-relayctl.c (dead)
  1.2       +0 -26     ports/net/relayd/files/patch-d-Makefile (dead)
  1.2       +0 -44     ports/net/relayd/files/patch-d-carp.c (dead)
  1.2       +0 -11     ports/net/relayd/files/patch-d-check_icmp.c (dead)
  1.2       +0 -47     ports/net/relayd/files/patch-d-check_tcp.c (dead)
  1.2       +0 -11     ports/net/relayd/files/patch-d-log.c (dead)
  1.2       +0 -11     ports/net/relayd/files/patch-d-parse.y (dead)
  1.2       +0 -10     ports/net/relayd/files/patch-d-pfe.c (dead)
  1.2       +0 -45     ports/net/relayd/files/patch-d-pfe_filter.c (dead)
  1.2       +0 -72     ports/net/relayd/files/patch-d-relay.c (dead)
  1.2       +0 -11     ports/net/relayd/files/patch-d-relay_udp.c (dead)
  1.2       +0 -20     ports/net/relayd/files/patch-d-relayd.8 (dead)
  1.2       +0 -29     ports/net/relayd/files/patch-d-relayd.c (dead)
  1.2       +0 -33     ports/net/relayd/files/patch-d-relayd.conf.5 (dead)
  1.2       +0 -27     ports/net/relayd/files/patch-d-relayd.h (dead)
  1.1       +75 -0     ports/net/relayd/files/patch-freebsd-relayctl (new)
  1.1       +684 -0    ports/net/relayd/files/patch-freebsd-relayd (new)
  1.1       +20 -0     ports/net/relayd/files/patch-relayctl-parser.c (new)
  1.1       +27 -0     ports/net/relayd/files/patch-relayctl-relayctl.c (new)
  1.1       +11 -0     ports/net/relayd/files/patch-relayd-check_icmp.c (new)
  1.1       +10 -0     ports/net/relayd/files/patch-relayd-check_tcp.c (new)
  1.1       +11 -0     ports/net/relayd/files/patch-relayd-control.c (new)
  1.1       +52 -0     ports/net/relayd/files/patch-relayd-relay.c (new)
  1.1       +27 -0     ports/net/relayd/files/patch-relayd-relayd.c (new)
  1.1       +36 -0     ports/net/relayd/files/pkg-install.in (new)
  1.4       +8 -1      ports/net/relayd/files/relayd.in
  1.2       +9 -5      ports/net/relayd/pkg-descr
  1.2       +0 -36     ports/net/relayd/pkg-install (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Matuska freebsd_committer 2010-05-28 13:01:49 UTC
Responsible Changed
From-To: kuriyama->mm

I am new maintainer (approved by kuriyama)
Comment 4 Martin Matuska freebsd_committer 2010-05-30 08:36:14 UTC
State Changed
From-To: open->closed

Commited with changes. Thanks!